<?php

namespace app\model;

use app\model\Base;
/**
 * @property integer $id 主键(ID) - 无注释
 * @property integer $user_id 用户ID
 * @property string $title 名字
 * @property string $network 网络
 * @property string $address 账号
 * @property string $img 图片
 * @property integer $is_default 是否默认
 * @property integer $created_at 创建时间
 * @property integer $updated_at 更新时间
 * @property integer $status 状态
 */
class Address extends Base
{
    //protected $name = 'address';
    
    
    function getNetworkList(){
        return [
            "BEP-20"=>"BEP-20",
            "TRC-20"=>"TRC-20",
            "WECHAT"=>"微信",
            "ALIPAY"=>"支付宝"
        ];
    }
    function getStatusList(){
        return [
            '0' =>  '禁用',
            '1' =>  '启用',
        ];
    }
    
    public function user()
    {
        return $this->belongsTo('User', 'user_id', 'id');//->setEagerlyType(0);
    }
    
     
}
